Name:		perl-OpenGL
Version:	0.62
Release:	1%{?dist}
Summary:	Perl OpenGL bindings
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/OpenGL/
Source0:	http://www.cpan.org/authors/id/C/CH/CHM/OpenGL-%{version}.tar.gz
Patch0:		perl-OpenGL-0.62-dist.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	freeglut-devel
BuildRequires:	libXi-devel
BuildRequires:	libXmu-devel
BuildRequires:	libICE-devel
BuildRequires:	perl(Test::More)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Perl bindings to implementations of OpenGL and GLUT, providing virtually all
of the OpenGL 1.0, and 1.1 functions, and most of 1.2. 


%prep
%setup -q -n OpenGL-%{version}
%patch0 -p1 -b .dist


%build
# This is basically not a test, but an interactive demo
mv test.pl demo.pl
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" \
	dist=NO_EXCLUSIONS verbose
# Certain OpenGL calls may not be present in our OpenGL
# implementation, let us just ignore them.
sed 's/PERL_DL_NONLAZY=1//' -i Makefile
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/OpenGL*
%{_mandir}/man3/*
%doc CHANGES COPYRIGHT GIT_CHANGES KNOWN_PROBLEMS README Release_Notes
%doc SUPPORTS TODO demo.pl


%changelog
* Thu Jan 07 2010 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 0.62-1
- Initial packaging
